# Latest version - v0.9.2 🎉

## What is new?

:point_right: SfBanner - adding prop for button link and make SfBanner clickable on mobile

:point_right: SfCallToAction - adding prop for button link

:point_right: SfHero - adding prop for button link and make SfHeroItem clickable on mobile

### Props

| Component      | Before | v0.9.2 |
| -------------- | ------ | ------ |
| SfBanner       | -      | link   |
| SfCallToAction | -      | link   |
| SfHero         | -      | link   |

## Fixes

### Atoms

- SfArrow with transparent modifier on disabled mode
- SfButton text modifier color changed
- SfButton native link in disabled state
- SfCircleIcon in disabled state with color modifier
- SfImage: has null propagation that fails on compilation
- SfInput: label on addition of placeholder value fix
- SfTextarea: fonts and add SfTextarea to form example

### Molecules:

- SfAddressPicker: doesn't react to "selected" prop changes fix
- SfAddressPicker: doesn't emit any events fix
- SfBanner: adding prop for button link
- SfBar: button type for buttons
- SfColorPicker: fix opacity affecting SfColor
- SfGallery: error with enableZoom fix
- SfModal: 'no preview' shows after clicking on button
- SfPagination: stories fixed
- SfSection: remove underline modifier
- SfSelect: clicking on an option results in another being selected instead on MacOS
- SfSelect: fix v-model and stories
- SfSelect: border color change
- SfSelect: unable to find uri in background

### Organisms:

- SfCarousel: duplicated slides fix
- SfCollectedProduct: color and background for remove button
- SfFooter: menu opens without clicking on it
- SfMegaMenu: confusing on theme, adding overlay
- SfProductCard: isAddedToCart prop not changing icon fix
- SfProductCardHorizontal: size and color change from property to select
- SfProductCardHorizontal: storybook example has bug for hover links
- SfTable: add thead element to SfTableHeading and tbody to SfTableRow to avoid ssr mismatch error

### Other:

- adjust example pages styles to new design on figma
- code of conduct added to docs
- modifiers changed to action classes to adjust to current convention
- apply new designs in storybook - category selection, sorting and page size in filters menu on mobile
- jest tests console bugs fix
- updated link to our new designs in figma
- updated config for tailwind
- changes in documentation
